<?xml version="1.0" encoding="utf-8"?>
<tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
  <tp:identifier>http://www.terveystalo.com/20251231 (7484F535)</tp:identifier>
  <tp:name>Terveyst.zip</tp:name>
  <tp:description>Contains (i)XBRL report and taxonomy extension for Terveystalo Oyj financial statements (2025-12-31)</tp:description>
  <tp:version>2025-12-31_1772006261</tp:version>
  <tp:publisher>Terveystalo Oyj</tp:publisher>
  <tp:publisherURL>http://www.terveystalo.com</tp:publisherURL>
  <tp:publisherCountry>FI</tp:publisherCountry>
  <tp:publicationDate>2025-12-31</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name>Terveystalo Oyj XBRL Taxonomy for 2025-12-31</tp:name>
      <tp:description>Terveystalo Oyj XBRL report for 2025-12-31</tp:description>
      <tp:entryPointDocument href="http://www.terveystalo.com/7437001AEZHLL3UEX093-2025-12-31.xsd" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-fi.xml" />
      <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-fi.xml" />
      <tp:languages>
        <tp:language>fi</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>